# Glossary for "The Man Who Loved Only Numbers" translation
# Format: "English" : "Russian"
# The translator MUST use these translations consistently.

# === MAIN CHARACTERS ===
people:
  "Erdős": "Эрдёш"
  "Erdos": "Эрдёш"
  "Paul Erdős": "Пол Эрдёш"
  "Uncle Paul": "дядюшка Пол"
  "Ronald Graham": "Рональд Грэм"
  "Ron Graham": "Рон Грэм"
  "Graham": "Грэм"
  "Fan Chung": "Фан Чанг"
  "Ernst Straus": "Эрнст Штраус"
  "Andrew Vázsonyi": "Эндрю Важони"
  "Vázsonyi": "Важони"

# === MATHEMATICIANS ===
  "Euler": "Эйлер"
  "Gauss": "Гаусс"
  "Carl Friedrich Gauss": "Карл Фридрих Гаусс"
  "Euclid": "Евклид"
  "Ramanujan": "Рамануджан"
  "G. H. Hardy": "Г. Х. Харди"
  "Hardy": "Харди"
  "Hilbert": "Гильберт"
  "David Hilbert": "Давид Гильберт"
  "Georg Cantor": "Георг Кантор"
  "Cantor": "Кантор"
  "Kurt Gödel": "Курт Гёдель"
  "Gödel": "Гёдель"
  "Godel": "Гёдель"
  "Bertrand Russell": "Бертран Рассел"
  "Russell": "Рассел"
  "Albert Einstein": "Альберт Эйнштейн"
  "Einstein": "Эйнштейн"
  "John von Neumann": "Джон фон Нейман"
  "von Neumann": "фон Нейман"
  "Fermat": "Ферма"
  "Pierre de Fermat": "Пьер де Ферма"
  "Pythagoras": "Пифагор"
  "Fibonacci": "Фибоначчи"
  "Andrew Wiles": "Эндрю Уайлс"
  "Wiles": "Уайлс"
  "Paul Turán": "Пол Туран"
  "Turán": "Туран"
  "Turan": "Туран"
  "Stanislaw Ulam": "Станислав Улам"
  "Ulam": "Улам"
  "Carl Pomerance": "Карл Поменранс"
  "Pomerance": "Поменранс"
  "George Szekeres": "Джордж Секереш"
  "Szekeres": "Секереш"
  "Esther Klein": "Эстер Кляйн"
  "Louis Pósa": "Луи Пожа"
  "Pósa": "Пожа"
  "Sophie Germain": "Софи Жермен"
  "Diophantus": "Диофант"
  "Descartes": "Декарт"
  "René Descartes": "Рене Декарт"
  "Archimedes": "Архимед"
  "Aristotle": "Аристотель"
  "Riemann": "Риман"
  "Abel": "Абель"
  "Galois": "Галуа"
  "Newton": "Ньютон"
  "Leibniz": "Лейбниц"
  "Mersenne": "Мерсенн"
  "Chebyshev": "Чебышёв"
  "Frank Ramsey": "Фрэнк Рамсей"
  "Ramsey": "Рамсей"
  "Gottlob Frege": "Готлоб Фреге"
  "Frege": "Фреге"
  "Eric Temple Bell": "Эрик Темпл Белл"
  "Bell": "Белл"
  "Mark Kac": "Марк Кац"
  "Kac": "Кац"
  "Selberg": "Сельберг"
  "Atle Selberg": "Атле Сельберг"
  "Peter Winkler": "Питер Уинклер"
  "Winkler": "Уинклер"
  "Joel Spencer": "Джоэл Спенсер"
  "Spencer": "Спенсер"
  "Ralph Faudree": "Ральф Фодри"
  "Faudree": "Фодри"
  "Melvyn Nathanson": "Мелвин Натансон"
  "Nathanson": "Натансон"
  "Tom Trotter": "Том Троттер"
  "Vera Sós": "Вера Шош"
  "Sós": "Шош"
  "László Babai": "Ласло Бабаи"
  "Babai": "Бабаи"
  "Kummer": "Куммер"

# === INSTITUTIONS ===
institutions:
  "Institute for Advanced Study": "Институт перспективных исследований"
  "Bell Labs": "Лаборатории Белла"
  "Bell Laboratories": "Лаборатории Белла"
  "AT&T": "AT&T"
  "American Mathematical Society": "Американское математическое общество"
  "Hungarian Academy of Sciences": "Венгерская академия наук"
  "Royal Society": "Королевское общество"
  "École Polytechnique": "Политехническая школа"
  "Princeton": "Принстон"
  "Princeton University": "Принстонский университет"
  "Harvard": "Гарвард"
  "Cambridge": "Кембридж"
  "Oxford": "Оксфорд"
  "Purdue": "Пердью"
  "University of Chicago": "Чикагский университет"
  "Hebrew University": "Еврейский университет"
  "Göttingen": "Гёттинген"
  "Göttingen University": "Гёттингенский университет"
  "Emory University": "Университет Эмори"
  "UCLA": "Калифорнийский университет в Лос-Анджелесе"

# === PLACES ===
places:
  "Budapest": "Будапешт"
  "Hungary": "Венгрия"
  "Hungarian": "венгерский"

# === MATHEMATICAL TERMS ===
math_terms:
  "Prime Number Theorem": "теорема о распределении простых чисел"
  "Fermat's Last Theorem": "Великая теорема Ферма"
  "Fermat's Little Theorem": "малая теорема Ферма"
  "Ramsey theory": "теория Рамсея"
  "Pythagorean theorem": "теорема Пифагора"
  "number theory": "теория чисел"
  "set theory": "теория множеств"
  "graph theory": "теория графов"
  "prime number": "простое число"
  "prime numbers": "простые числа"
  "twin primes": "простые числа-близнецы"
  "Mersenne prime": "простое число Мерсенна"
  "Sophie Germain primes": "простые числа Софи Жермен"
  "Carmichael numbers": "числа Кармайкла"
  "pseudoprimes": "псевдопростые числа"
  "perfect number": "совершенное число"
  "friendly numbers": "дружественные числа"
  "amicable numbers": "дружественные числа"
  "Fibonacci numbers": "числа Фибоначчи"
  "Ruth-Aaron pairs": "пары Рут — Аарона"
  "Smith numbers": "числа Смита"
  "Continuum Hypothesis": "континуум-гипотеза"
  "asymptotic formula": "асимптотическая формула"
  "unit fractions": "единичные дроби"
  "irrational number": "иррациональное число"
  "rational number": "рациональное число"
  "imaginary numbers": "мнимые числа"
  "counting numbers": "натуральные числа"
  "negative numbers": "отрицательные числа"
  "convex quadrilateral": "выпуклый четырёхугольник"
  "convex hexagon": "выпуклый шестиугольник"
  "binomial coefficient": "биномиальный коэффициент"
  "commutative law": "коммутативный закон"
  "traveling salesman problem": "задача коммивояжёра"
  "bin-packing problem": "задача об упаковке в контейнеры"
  "Collaboration Graph": "граф соавторства"
  "Erdős number": "число Эрдёша"
  "chromatic number": "хроматическое число"
  "extremal problems": "экстремальные задачи"
  "one-to-one correspondence": "взаимно однозначное соответствие"
  "axiom of choice": "аксиома выбора"
  "proof by contradiction": "доказательство от противного"
  "elementary methods": "элементарные методы"

# === BOOKS AND WORKS ===
books:
  "The Man Who Loved Only Numbers": "Человек, который любил только числа"
  "A Mathematician's Apology": "Апология математика"
  "Principia Mathematica": "Principia Mathematica"
  "The Elements": "«Начала»"
  "Arithmetica": "«Арифметика»"
  "The Art of Counting": "«Искусство счёта»"
  "Erdős on Graphs": "«Эрдёш о графах»"
  "Dialogues on Two New Sciences": "«Беседы о двух новых науках»"
  "The Guinness Book": "Книга рекордов Гиннесса"

# === ERDŐS SPECIAL VOCABULARY ===
erdos_vocabulary:
  "The Book": "Книга"
  "straight from the Book": "прямо из Книги"
  "The SF": "ВФ (Верховный Фашист)"
  "Supreme Fascist": "Верховный Фашист"
  "epsilon": "эпсилон"
  "epsilons": "эпсилоны"
  "epsilon squared": "эпсилон в квадрате"
  "bosses": "боссы"
  "slaves": "рабы"
  "poison": "яд"
  "noise": "шум"
  "trivial beings": "тривиальные существа"
  "My brain is open": "Мой мозг открыт"
  "on the long wavelength": "на длинной волне"
  "on the short wavelength": "на короткой волне"
  "Sam": "Сэм (США)"
  "Joe": "Джо (СССР)"
  "to die": "умереть"
  "to leave": "уйти"
  "to preach": "проповедовать"

# === PRIZES ===
prizes:
  "Wolf Prize": "Премия Вольфа"
  "Wolfskehl Prize": "Премия Вольфскеля"
  "Nobel Prize": "Нобелевская премия"
  "Fields Medal": "Филдсовская медаль"

# === OTHER ===
other:
  "Monty Hall problem": "парадокс Монти Холла"
  "Monty Hall": "Монти Холл"
  "Let's Make a Deal": "«Давайте заключим сделку»"
